Cyberduck Mountain Duck CLI

#1414 closed enhancement (worksforme)

Change temporary location for edited files

Reported by: peoppenheimer Owned by: dkocher
Priority: normal Milestone: 2.8.2
Component: core Version: 2.8.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Usually, I open a remote file in SubEthaEdit and save to the remote file. My only local copy is the temporary file that goes away when I reboot. Recently, I lost work because the remote server crashed and corrupted the master copy of the file, and the temporary local copy had been deleted in a reboot, so that I have no uncorrupted local copy. Can I change the location of the local temporary file?

Change History (4)

comment:1 Changed on Dec 10, 2007 at 11:02:26 PM by dkocher

  • Summary changed from Change temporary location to Change temporary location for edited files

comment:2 Changed on Dec 10, 2007 at 11:07:56 PM by dkocher

  • Milestone set to 2.8.2
  • Resolution set to fixed
  • Status changed from new to closed

As of r3340, set the property editor.tmp.directory. Use for example

defaults write ch.sudo.cyberduck editor.tmp.directory ~/Desktop

comment:3 Changed on Jun 29, 2016 at 7:14:49 AM by art182

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hello. How to set up temp dir in Windows ? I've added <setting name="editor.tmp.directory" value="c:\directory" /> in user.config but it is not working. Any tips ?

(latest version 5.1.0.20594)

Regards.

comment:4 Changed on Jul 1, 2016 at 8:41:35 AM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

This now defaults to the default system temporary file location and can no longer be changed with a preference.

Note: See TracTickets for help on using tickets.
swiss made software